pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.6.1 20110715 (Red Hat 4.6.1-3)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gate" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure Break_Start;
   pragma Import (C, Break_Start, "__gnat_break_start");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#d42865ba#;
   pragma Export (C, u00001, "gateB");
   u00002 : constant Version_32 := 16#ba46b2cd#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#10d589fc#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#ea58ea1a#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#2d1a1afa#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#72905399#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#39743d54#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#0d2b82ae#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#b1479900#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#30ec78bc#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#ec1008f3#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#9cd289cc#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#ed247096#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#95643e9a#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#03cf4fc2#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#a7343537#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#8fdb15ca#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#ff3fa16b#;
   pragma Export (C, u00020, "system__htableB");
   u00021 : constant Version_32 := 16#c2c5b625#;
   pragma Export (C, u00021, "system__htableS");
   u00022 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00022, "system__string_hashB");
   u00023 : constant Version_32 := 16#0b86c26e#;
   pragma Export (C, u00023, "system__string_hashS");
   u00024 : constant Version_32 := 16#6a8a6a74#;
   pragma Export (C, u00024, "system__exceptionsB");
   u00025 : constant Version_32 := 16#880bf0fb#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00026, "system__img_intB");
   u00027 : constant Version_32 := 16#2fc1fa38#;
   pragma Export (C, u00027, "system__img_intS");
   u00028 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00028, "system__storage_elementsB");
   u00029 : constant Version_32 := 16#d7d76762#;
   pragma Export (C, u00029, "system__storage_elementsS");
   u00030 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00030, "system__tracebackB");
   u00031 : constant Version_32 := 16#4c9dce8f#;
   pragma Export (C, u00031, "system__tracebackS");
   u00032 : constant Version_32 := 16#47fb468c#;
   pragma Export (C, u00032, "system__unsigned_typesS");
   u00033 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00033, "system__wch_conB");
   u00034 : constant Version_32 := 16#92f134c7#;
   pragma Export (C, u00034, "system__wch_conS");
   u00035 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00035, "system__wch_stwB");
   u00036 : constant Version_32 := 16#bfe018c6#;
   pragma Export (C, u00036, "system__wch_stwS");
   u00037 : constant Version_32 := 16#5d4d477e#;
   pragma Export (C, u00037, "system__wch_cnvB");
   u00038 : constant Version_32 := 16#8c0fb211#;
   pragma Export (C, u00038, "system__wch_cnvS");
   u00039 : constant Version_32 := 16#f77d8799#;
   pragma Export (C, u00039, "interfacesS");
   u00040 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00040, "system__wch_jisB");
   u00041 : constant Version_32 := 16#d87d2905#;
   pragma Export (C, u00041, "system__wch_jisS");
   u00042 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00042, "system__traceback_entriesB");
   u00043 : constant Version_32 := 16#7f3bf4bb#;
   pragma Export (C, u00043, "system__traceback_entriesS");
   u00044 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00044, "system__stack_checkingB");
   u00045 : constant Version_32 := 16#8eb8a6d6#;
   pragma Export (C, u00045, "system__stack_checkingS");
   u00046 : constant Version_32 := 16#07116dec#;
   pragma Export (C, u00046, "ada__tagsB");
   u00047 : constant Version_32 := 16#2f42ba32#;
   pragma Export (C, u00047, "ada__tagsS");
   u00048 : constant Version_32 := 16#e6965fe6#;
   pragma Export (C, u00048, "system__val_unsB");
   u00049 : constant Version_32 := 16#5753abb7#;
   pragma Export (C, u00049, "system__val_unsS");
   u00050 : constant Version_32 := 16#46a1f7a9#;
   pragma Export (C, u00050, "system__val_utilB");
   u00051 : constant Version_32 := 16#26b78fe5#;
   pragma Export (C, u00051, "system__val_utilS");
   u00052 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00052, "system__case_utilB");
   u00053 : constant Version_32 := 16#80067a72#;
   pragma Export (C, u00053, "system__case_utilS");
   u00054 : constant Version_32 := 16#7a8f4ce5#;
   pragma Export (C, u00054, "ada__text_ioB");
   u00055 : constant Version_32 := 16#7662da97#;
   pragma Export (C, u00055, "ada__text_ioS");
   u00056 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00056, "ada__streamsS");
   u00057 : constant Version_32 := 16#7a48d8b1#;
   pragma Export (C, u00057, "interfaces__c_streamsB");
   u00058 : constant Version_32 := 16#40dd1af2#;
   pragma Export (C, u00058, "interfaces__c_streamsS");
   u00059 : constant Version_32 := 16#1d302859#;
   pragma Export (C, u00059, "system__crtlS");
   u00060 : constant Version_32 := 16#5efa797c#;
   pragma Export (C, u00060, "system__file_ioB");
   u00061 : constant Version_32 := 16#206d1d17#;
   pragma Export (C, u00061, "system__file_ioS");
   u00062 : constant Version_32 := 16#7cc77cc0#;
   pragma Export (C, u00062, "ada__finalizationB");
   u00063 : constant Version_32 := 16#01acb175#;
   pragma Export (C, u00063, "ada__finalizationS");
   u00064 : constant Version_32 := 16#01cb6d81#;
   pragma Export (C, u00064, "system__finalization_rootB");
   u00065 : constant Version_32 := 16#23ed1b02#;
   pragma Export (C, u00065, "system__finalization_rootS");
   u00066 : constant Version_32 := 16#dbb36d26#;
   pragma Export (C, u00066, "system__finalization_implementationB");
   u00067 : constant Version_32 := 16#b301b745#;
   pragma Export (C, u00067, "system__finalization_implementationS");
   u00068 : constant Version_32 := 16#386436bc#;
   pragma Export (C, u00068, "system__restrictionsB");
   u00069 : constant Version_32 := 16#d5f873b7#;
   pragma Export (C, u00069, "system__restrictionsS");
   u00070 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00070, "system__stream_attributesB");
   u00071 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00071, "system__stream_attributesS");
   u00072 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00072, "ada__io_exceptionsS");
   u00073 : constant Version_32 := 16#a2230cb9#;
   pragma Export (C, u00073, "interfaces__cB");
   u00074 : constant Version_32 := 16#ebbc3ca7#;
   pragma Export (C, u00074, "interfaces__cS");
   u00075 : constant Version_32 := 16#7afa2756#;
   pragma Export (C, u00075, "interfaces__c__stringsB");
   u00076 : constant Version_32 := 16#739e0600#;
   pragma Export (C, u00076, "interfaces__c__stringsS");
   u00077 : constant Version_32 := 16#621b06ef#;
   pragma Export (C, u00077, "system__crtl__runtimeS");
   u00078 : constant Version_32 := 16#f9b9cd19#;
   pragma Export (C, u00078, "system__os_libB");
   u00079 : constant Version_32 := 16#a6d80a38#;
   pragma Export (C, u00079, "system__os_libS");
   u00080 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00080, "system__stringsB");
   u00081 : constant Version_32 := 16#9af0503e#;
   pragma Export (C, u00081, "system__stringsS");
   u00082 : constant Version_32 := 16#f225f4c0#;
   pragma Export (C, u00082, "system__file_control_blockS");
   u00083 : constant Version_32 := 16#b90c86f6#;
   pragma Export (C, u00083, "ada__finalization__list_controllerB");
   u00084 : constant Version_32 := 16#b97dfd74#;
   pragma Export (C, u00084, "ada__finalization__list_controllerS");
   u00085 : constant Version_32 := 16#48753c3f#;
   pragma Export (C, u00085, "glibB");
   u00086 : constant Version_32 := 16#aa73ee6a#;
   pragma Export (C, u00086, "glibS");
   u00087 : constant Version_32 := 16#5823e182#;
   pragma Export (C, u00087, "glib__gladeB");
   u00088 : constant Version_32 := 16#43dc8b50#;
   pragma Export (C, u00088, "glib__gladeS");
   u00089 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00089, "ada__charactersS");
   u00090 : constant Version_32 := 16#833355f1#;
   pragma Export (C, u00090, "ada__characters__handlingB");
   u00091 : constant Version_32 := 16#3006d996#;
   pragma Export (C, u00091, "ada__characters__handlingS");
   u00092 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00092, "ada__characters__latin_1S");
   u00093 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00093, "ada__stringsS");
   u00094 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00094, "ada__strings__mapsB");
   u00095 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00095, "ada__strings__mapsS");
   u00096 : constant Version_32 := 16#b9e58495#;
   pragma Export (C, u00096, "system__bit_opsB");
   u00097 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00097, "system__bit_opsS");
   u00098 : constant Version_32 := 16#7a69aa90#;
   pragma Export (C, u00098, "ada__strings__maps__constantsS");
   u00099 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00099, "ada__strings__fixedB");
   u00100 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00100, "ada__strings__fixedS");
   u00101 : constant Version_32 := 16#c6426641#;
   pragma Export (C, u00101, "ada__strings__searchB");
   u00102 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00102, "ada__strings__searchS");
   u00103 : constant Version_32 := 16#0b9af9d0#;
   pragma Export (C, u00103, "glib__objectB");
   u00104 : constant Version_32 := 16#48691d40#;
   pragma Export (C, u00104, "glib__objectS");
   u00105 : constant Version_32 := 16#398f61a7#;
   pragma Export (C, u00105, "glib__type_conversion_hooksB");
   u00106 : constant Version_32 := 16#ca0517c4#;
   pragma Export (C, u00106, "glib__type_conversion_hooksS");
   u00107 : constant Version_32 := 16#57aea1c7#;
   pragma Export (C, u00107, "gtkadaS");
   u00108 : constant Version_32 := 16#3481b1e2#;
   pragma Export (C, u00108, "gtkada__bindingsB");
   u00109 : constant Version_32 := 16#3377f32f#;
   pragma Export (C, u00109, "gtkada__bindingsS");
   u00110 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00110, "gnatS");
   u00111 : constant Version_32 := 16#7d3103a4#;
   pragma Export (C, u00111, "gnat__stringsS");
   u00112 : constant Version_32 := 16#100afe53#;
   pragma Export (C, u00112, "gtkada__cB");
   u00113 : constant Version_32 := 16#8c0647d8#;
   pragma Export (C, u00113, "gtkada__cS");
   u00114 : constant Version_32 := 16#6fb6efdc#;
   pragma Export (C, u00114, "gtkada__typesB");
   u00115 : constant Version_32 := 16#13109374#;
   pragma Export (C, u00115, "gtkada__typesS");
   u00116 : constant Version_32 := 16#2d0faf9d#;
   pragma Export (C, u00116, "glib__glistB");
   u00117 : constant Version_32 := 16#47f8e6c7#;
   pragma Export (C, u00117, "glib__glistS");
   u00118 : constant Version_32 := 16#3b2e7eed#;
   pragma Export (C, u00118, "glib__gslistB");
   u00119 : constant Version_32 := 16#adb9d188#;
   pragma Export (C, u00119, "glib__gslistS");
   u00120 : constant Version_32 := 16#194ccd7b#;
   pragma Export (C, u00120, "system__img_unsB");
   u00121 : constant Version_32 := 16#d80f7a7b#;
   pragma Export (C, u00121, "system__img_unsS");
   u00122 : constant Version_32 := 16#3e210bce#;
   pragma Export (C, u00122, "glib__convertB");
   u00123 : constant Version_32 := 16#3b605669#;
   pragma Export (C, u00123, "glib__convertS");
   u00124 : constant Version_32 := 16#2f3c957f#;
   pragma Export (C, u00124, "glib__errorB");
   u00125 : constant Version_32 := 16#ef11e73d#;
   pragma Export (C, u00125, "glib__errorS");
   u00126 : constant Version_32 := 16#3d89daf7#;
   pragma Export (C, u00126, "glib__messagesB");
   u00127 : constant Version_32 := 16#4b2aa7bf#;
   pragma Export (C, u00127, "glib__messagesS");
   u00128 : constant Version_32 := 16#a58db3dd#;
   pragma Export (C, u00128, "glib__unicodeB");
   u00129 : constant Version_32 := 16#5f204a9a#;
   pragma Export (C, u00129, "glib__unicodeS");
   u00130 : constant Version_32 := 16#16ec09e4#;
   pragma Export (C, u00130, "glib__xmlB");
   u00131 : constant Version_32 := 16#ff8e3b0b#;
   pragma Export (C, u00131, "glib__xmlS");
   u00132 : constant Version_32 := 16#10f589ff#;
   pragma Export (C, u00132, "gnat__os_libS");
   u00133 : constant Version_32 := 16#40d6364d#;
   pragma Export (C, u00133, "gtkS");
   u00134 : constant Version_32 := 16#f64d28ae#;
   pragma Export (C, u00134, "gdkS");
   u00135 : constant Version_32 := 16#ab9a8441#;
   pragma Export (C, u00135, "gtk__gladeB");
   u00136 : constant Version_32 := 16#a1c874fe#;
   pragma Export (C, u00136, "gtk__gladeS");
   u00137 : constant Version_32 := 16#336c89ce#;
   pragma Export (C, u00137, "ada__directoriesB");
   u00138 : constant Version_32 := 16#067aca50#;
   pragma Export (C, u00138, "ada__directoriesS");
   u00139 : constant Version_32 := 16#0f244912#;
   pragma Export (C, u00139, "ada__calendarB");
   u00140 : constant Version_32 := 16#0bc00dc5#;
   pragma Export (C, u00140, "ada__calendarS");
   u00141 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00141, "system__os_primitivesB");
   u00142 : constant Version_32 := 16#9dcb96d3#;
   pragma Export (C, u00142, "system__os_primitivesS");
   u00143 : constant Version_32 := 16#82106b28#;
   pragma Export (C, u00143, "ada__calendar__formattingB");
   u00144 : constant Version_32 := 16#7ece677a#;
   pragma Export (C, u00144, "ada__calendar__formattingS");
   u00145 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00145, "ada__calendar__time_zonesB");
   u00146 : constant Version_32 := 16#74a1fd86#;
   pragma Export (C, u00146, "ada__calendar__time_zonesS");
   u00147 : constant Version_32 := 16#7993dbbd#;
   pragma Export (C, u00147, "system__val_intB");
   u00148 : constant Version_32 := 16#65bf30c5#;
   pragma Export (C, u00148, "system__val_intS");
   u00149 : constant Version_32 := 16#90617b06#;
   pragma Export (C, u00149, "system__val_realB");
   u00150 : constant Version_32 := 16#d3336deb#;
   pragma Export (C, u00150, "system__val_realS");
   u00151 : constant Version_32 := 16#0be1b996#;
   pragma Export (C, u00151, "system__exn_llfB");
   u00152 : constant Version_32 := 16#ac9e0415#;
   pragma Export (C, u00152, "system__exn_llfS");
   u00153 : constant Version_32 := 16#7d6a7c8d#;
   pragma Export (C, u00153, "system__powten_tableS");
   u00154 : constant Version_32 := 16#e559f18d#;
   pragma Export (C, u00154, "ada__directories__validityB");
   u00155 : constant Version_32 := 16#a2334639#;
   pragma Export (C, u00155, "ada__directories__validityS");
   u00156 : constant Version_32 := 16#0e71a6bb#;
   pragma Export (C, u00156, "ada__strings__unboundedB");
   u00157 : constant Version_32 := 16#17719459#;
   pragma Export (C, u00157, "ada__strings__unboundedS");
   u00158 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00158, "system__compare_array_unsigned_8B");
   u00159 : constant Version_32 := 16#f721ec37#;
   pragma Export (C, u00159, "system__compare_array_unsigned_8S");
   u00160 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00160, "system__address_operationsB");
   u00161 : constant Version_32 := 16#ed64f36d#;
   pragma Export (C, u00161, "system__address_operationsS");
   u00162 : constant Version_32 := 16#e7698cad#;
   pragma Export (C, u00162, "system__regexpB");
   u00163 : constant Version_32 := 16#548f62f9#;
   pragma Export (C, u00163, "system__regexpS");
   u00164 : constant Version_32 := 16#a0ae1a73#;
   pragma Export (C, u00164, "gnat__htableB");
   u00165 : constant Version_32 := 16#2f73d734#;
   pragma Export (C, u00165, "gnat__htableS");
   u00166 : constant Version_32 := 16#a7b2bfec#;
   pragma Export (C, u00166, "gtk_generatesB");
   u00167 : constant Version_32 := 16#023e09be#;
   pragma Export (C, u00167, "gtk_generatesS");
   u00168 : constant Version_32 := 16#5c0e4566#;
   pragma Export (C, u00168, "system__val_boolB");
   u00169 : constant Version_32 := 16#d78876e4#;
   pragma Export (C, u00169, "system__val_boolS");
   u00170 : constant Version_32 := 16#796810f7#;
   pragma Export (C, u00170, "gtk__mainB");
   u00171 : constant Version_32 := 16#ed63a10f#;
   pragma Export (C, u00171, "gtk__mainS");
   u00172 : constant Version_32 := 16#985d5707#;
   pragma Export (C, u00172, "gdk__typesS");
   u00173 : constant Version_32 := 16#df9caa4d#;
   pragma Export (C, u00173, "glib__generic_propertiesB");
   u00174 : constant Version_32 := 16#83a0df00#;
   pragma Export (C, u00174, "glib__generic_propertiesS");
   u00175 : constant Version_32 := 16#c934b725#;
   pragma Export (C, u00175, "glib__valuesB");
   u00176 : constant Version_32 := 16#fc388b38#;
   pragma Export (C, u00176, "glib__valuesS");
   u00177 : constant Version_32 := 16#4e3cf605#;
   pragma Export (C, u00177, "gdk__eventB");
   u00178 : constant Version_32 := 16#91f03f7d#;
   pragma Export (C, u00178, "gdk__eventS");
   u00179 : constant Version_32 := 16#38a0ef16#;
   pragma Export (C, u00179, "gdk__rectangleB");
   u00180 : constant Version_32 := 16#940333f3#;
   pragma Export (C, u00180, "gdk__rectangleS");
   u00181 : constant Version_32 := 16#a8d456ae#;
   pragma Export (C, u00181, "gdk__windowB");
   u00182 : constant Version_32 := 16#e5034fc8#;
   pragma Export (C, u00182, "gdk__windowS");
   u00183 : constant Version_32 := 16#a38490d6#;
   pragma Export (C, u00183, "gtk__widgetB");
   u00184 : constant Version_32 := 16#1cbba3a3#;
   pragma Export (C, u00184, "gtk__widgetS");
   u00185 : constant Version_32 := 16#886565a5#;
   pragma Export (C, u00185, "gdk__colorB");
   u00186 : constant Version_32 := 16#30d29a89#;
   pragma Export (C, u00186, "gdk__colorS");
   u00187 : constant Version_32 := 16#1cecc062#;
   pragma Export (C, u00187, "gdk__visualB");
   u00188 : constant Version_32 := 16#1580debe#;
   pragma Export (C, u00188, "gdk__visualS");
   u00189 : constant Version_32 := 16#06bb142a#;
   pragma Export (C, u00189, "gtk__enumsB");
   u00190 : constant Version_32 := 16#93a6b021#;
   pragma Export (C, u00190, "gtk__enumsS");
   u00191 : constant Version_32 := 16#bd5e5827#;
   pragma Export (C, u00191, "gtk__styleB");
   u00192 : constant Version_32 := 16#c7321c65#;
   pragma Export (C, u00192, "gtk__styleS");
   u00193 : constant Version_32 := 16#d3c8e76d#;
   pragma Export (C, u00193, "pangoS");
   u00194 : constant Version_32 := 16#37d3fad4#;
   pragma Export (C, u00194, "pango__fontB");
   u00195 : constant Version_32 := 16#f36471c5#;
   pragma Export (C, u00195, "pango__fontS");
   u00196 : constant Version_32 := 16#853ec0b7#;
   pragma Export (C, u00196, "pango__enumsB");
   u00197 : constant Version_32 := 16#f3fe5737#;
   pragma Export (C, u00197, "pango__enumsS");
   u00198 : constant Version_32 := 16#9542bea9#;
   pragma Export (C, u00198, "gdk__fontB");
   u00199 : constant Version_32 := 16#48691f5a#;
   pragma Export (C, u00199, "gdk__fontS");
   u00200 : constant Version_32 := 16#557e4e5c#;
   pragma Export (C, u00200, "gdk__gcB");
   u00201 : constant Version_32 := 16#0e6f1f05#;
   pragma Export (C, u00201, "gdk__gcS");
   u00202 : constant Version_32 := 16#cf4253f9#;
   pragma Export (C, u00202, "gdk__regionB");
   u00203 : constant Version_32 := 16#a4d1a749#;
   pragma Export (C, u00203, "gdk__regionS");
   u00204 : constant Version_32 := 16#d846c6e4#;
   pragma Export (C, u00204, "gdk__pixmapB");
   u00205 : constant Version_32 := 16#acfb0eb2#;
   pragma Export (C, u00205, "gdk__pixmapS");
   u00206 : constant Version_32 := 16#ed02b600#;
   pragma Export (C, u00206, "gdk__bitmapB");
   u00207 : constant Version_32 := 16#f699f3eb#;
   pragma Export (C, u00207, "gdk__bitmapS");
   u00208 : constant Version_32 := 16#56b65ebb#;
   pragma Export (C, u00208, "gtk__objectB");
   u00209 : constant Version_32 := 16#27278f6e#;
   pragma Export (C, u00209, "gtk__objectS");
   u00210 : constant Version_32 := 16#99f66a58#;
   pragma Export (C, u00210, "glib__propertiesB");
   u00211 : constant Version_32 := 16#e6721c01#;
   pragma Export (C, u00211, "glib__propertiesS");
   u00212 : constant Version_32 := 16#eb1880b0#;
   pragma Export (C, u00212, "pango__layoutB");
   u00213 : constant Version_32 := 16#a52f6fcc#;
   pragma Export (C, u00213, "pango__layoutS");
   u00214 : constant Version_32 := 16#c0be7ba1#;
   pragma Export (C, u00214, "pango__attributesB");
   u00215 : constant Version_32 := 16#666d7227#;
   pragma Export (C, u00215, "pango__attributesS");
   u00216 : constant Version_32 := 16#1685a574#;
   pragma Export (C, u00216, "pango__contextB");
   u00217 : constant Version_32 := 16#510f4503#;
   pragma Export (C, u00217, "pango__contextS");
   u00218 : constant Version_32 := 16#f1493a4a#;
   pragma Export (C, u00218, "pango__tabsB");
   u00219 : constant Version_32 := 16#c159aa01#;
   pragma Export (C, u00219, "pango__tabsS");
   u00220 : constant Version_32 := 16#85d46335#;
   pragma Export (C, u00220, "gtk__windowB");
   u00221 : constant Version_32 := 16#21c079ea#;
   pragma Export (C, u00221, "gtk__windowS");
   u00222 : constant Version_32 := 16#e7a7096b#;
   pragma Export (C, u00222, "gdk__pixbufB");
   u00223 : constant Version_32 := 16#ff64cb31#;
   pragma Export (C, u00223, "gdk__pixbufS");
   u00224 : constant Version_32 := 16#8c3f35ca#;
   pragma Export (C, u00224, "gdk__cursorB");
   u00225 : constant Version_32 := 16#a5c39181#;
   pragma Export (C, u00225, "gdk__cursorS");
   u00226 : constant Version_32 := 16#6b7227a5#;
   pragma Export (C, u00226, "gdk__displayB");
   u00227 : constant Version_32 := 16#53bae232#;
   pragma Export (C, u00227, "gdk__displayS");
   u00228 : constant Version_32 := 16#4cbd4be2#;
   pragma Export (C, u00228, "gdk__drawableB");
   u00229 : constant Version_32 := 16#242c5795#;
   pragma Export (C, u00229, "gdk__drawableS");
   u00230 : constant Version_32 := 16#76d61e87#;
   pragma Export (C, u00230, "gdk__rgbB");
   u00231 : constant Version_32 := 16#d376c0c2#;
   pragma Export (C, u00231, "gdk__rgbS");
   u00232 : constant Version_32 := 16#3a2e571f#;
   pragma Export (C, u00232, "gtk__accel_groupB");
   u00233 : constant Version_32 := 16#7b082be7#;
   pragma Export (C, u00233, "gtk__accel_groupS");
   u00234 : constant Version_32 := 16#4d2f077a#;
   pragma Export (C, u00234, "gtk__binB");
   u00235 : constant Version_32 := 16#d0d23cff#;
   pragma Export (C, u00235, "gtk__binS");
   u00236 : constant Version_32 := 16#e746b88a#;
   pragma Export (C, u00236, "gtk__containerB");
   u00237 : constant Version_32 := 16#bf87e472#;
   pragma Export (C, u00237, "gtk__containerS");
   u00238 : constant Version_32 := 16#6b9203f5#;
   pragma Export (C, u00238, "gtk__adjustmentB");
   u00239 : constant Version_32 := 16#f6bcc6fd#;
   pragma Export (C, u00239, "gtk__adjustmentS");
   u00240 : constant Version_32 := 16#6f332493#;
   pragma Export (C, u00240, "system__assertionsB");
   u00241 : constant Version_32 := 16#8ebefc51#;
   pragma Export (C, u00241, "system__assertionsS");
   u00242 : constant Version_32 := 16#0936cab5#;
   pragma Export (C, u00242, "system__memoryB");
   u00243 : constant Version_32 := 16#e791a6ef#;
   pragma Export (C, u00243, "system__memoryS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.htable%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.val_bool%s
   --  system.val_int%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_int%b
   --  system.val_bool%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.crtl.runtime%s
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  system.soft_links%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  ada.calendar.formatting%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  system.finalization_implementation%s
   --  system.finalization_implementation%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.finalization.list_controller%s
   --  ada.finalization.list_controller%b
   --  system.file_control_block%s
   --  system.file_io%s
   --  system.os_lib%s
   --  system.os_lib%b
   --  system.file_io%b
   --  gnat.os_lib%s
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  glib%s
   --  glib%b
   --  gdk%s
   --  glib.error%s
   --  glib.error%b
   --  glib.convert%s
   --  glib.convert%b
   --  glib.messages%s
   --  glib.messages%b
   --  glib.unicode%s
   --  glib.unicode%b
   --  gtkada%s
   --  gtkada.types%s
   --  gtkada.types%b
   --  pango%s
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.values%s
   --  glib.values%b
   --  gdk.color%s
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  glib.xml%s
   --  glib.xml%b
   --  glib.glade%s
   --  glib.glade%b
   --  gtk%s
   --  gtk.glade%s
   --  gtk_generates%s
   --  gtk_generates%b
   --  gtk.glade%b
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  glib.object%b
   --  gdk.color%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  gdk.event%s
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.window%s
   --  gdk.event%b
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.style%s
   --  gtk.style%b
   --  gtk.widget%s
   --  gdk.window%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.main%s
   --  gtk.main%b
   --  gate%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  END ELABORATION ORDER

end ada_main;
